// Copyright (c) 2015, Mikhail Stolyarov. All rights reserved. Use of this source code
// is governed by a BSD-style license that can be found in the LICENSE file.

library do2log.test;

import 'package:unittest/unittest.dart';
import 'package:do2log/do2log.dart';

main() {
  
  group('Do2Format', (){
    
    test('String',(){
      Do2LogString string = new Do2LogString('log test');
      expect(string.string, equals('log test'));
      expect(string.json, equals('{"text":"log test"}'));
    });
    
  });
  
  group('do2Transport', (){
    
    test('Console', (){
      Do2LogConsole console = new Do2LogConsole();
      expect(console, isNotNull);
      expect(console.send, isNotNull);
    });
    
    test('Null', (){
      Do2LogSendNull console = new Do2LogSendNull();
      expect(console, isNotNull);
      expect(console.send, isNotNull);
    });
    
  });
  
  group('Do2Log', (){
    
    test('Сreation', (){
      Do2Log log = new Do2Log(1,new Do2LogSendNull());
      log.write(10, new Do2LogString('dfdfa'));
    });
    
  });
  
}
